Subject: bug#57876: [PATCH] pulse-momentary-highlight-one-line: Act on visual line

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Sep 2022 14:49:44 +0300

> From: Augusto Stoffel <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 17 Sep 2022 13:31:55 +0200
> 
> > It should be possible to disable fields temporarily by binding
> > inhibit-point-motion-hooks, right?  I prefer doing that to reinventing
> > the wheel of moving to the edges of the visible line.
> 
> This variable is allegedly obsolete since Emacs 25.

Sorry, I meant inhibit-field-text-motion.

> In any case, the patch is really trivial, so how would this be
> making the code simpler or more robust?

I just explained the reasons above: we have these utility functions
for a reason: so that Lisp programs won't need to reinvent how to do
what these utilities do every time.